package com.mortals.xhx.module.record.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.RetainLogVo;
import lombok.Data;
/**
* 证照持有实体对象
*
* @author zxfei
* @date 2023-05-24
*/
@Data
public class RetainLogEntity extends RetainLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 证照档案ID
    */
    private Long recordId;
    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 证照目录模板ID
    */
    private Long templateId;
    /**
    * 证照模板名称
    */
    private String templateName;
    /**
    * 证照名称
    */
    private String certificateName;
    /**
    * 证照编号
    */
    private String certificateCode;
    /**
    * 企业名称
    */
    private String enterpriseName;
    /**
    * 持有者姓名
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 证照状态，1正常2注销
    */
    private Integer certificateStatus;
    /**
    * 证件附件地址
    */
    private String certificateUrl;
    /**
    * 证件预览地址
    */
    private String previewUrl;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RetainLogEntity) {
            RetainLogEntity tmp = (RetainLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = -1L;

            this.recordId = -1L;

            this.catalogId = -1L;

            this.catalogCode = "";

            this.catalogName = "";

            this.templateId = -1L;

            this.templateName = "";

            this.certificateName = "";

            this.certificateCode = "";

            this.enterpriseName = "";

            this.holderName = "";

            this.holderIDCardNo = "";

            this.certificateStatus = 1;

            this.certificateUrl = "";

            this.previewUrl = "";
    }
}